package com.docus.server.report.api.dto;

import lombok.Getter;
import lombok.ToString;

import java.util.Objects;

/**
 * 顺德人医 移动护理请求参数
 *
 * @author jiashi
 */
@Getter
public class SdNurseInsertSugarRequest {
    /**
     * 接口名称，默认值：nurse_print_doc
     */
    private final String tradeCode;
    /**
     * 住院号
     */
    private final String zyh;
    /**
     * 住院次数
     */
    private final String visit_id;

    public SdNurseInsertSugarRequest(String zyh, String visit_id, String tradeCode) {
        Objects.requireNonNull(zyh);
        Objects.requireNonNull(visit_id);
        Objects.requireNonNull(tradeCode);
        this.tradeCode = tradeCode;
        this.zyh = zyh;
        this.visit_id = visit_id;
    }
}
